﻿using System.Collections.ObjectModel;
using System.Windows;

namespace TestBindingError
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            var appViewModel = new AppViewModel
                                   {
                                       Persons = new ObservableCollection<PersonViewModel>
                                                     {
                                                         new PersonViewModel
                                                             {Name = "Joe"},
                                                         new PersonViewModel
                                                             {Name = "Eddy"},
                                                         new PersonViewModel
                                                             {Name = "Francois"}
                                                     }
                                   };

            DataContext = appViewModel;
        }
    }
}
